package com.bonus.canteen.core.allocation.canteen.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

@ApiModel("修改档口 是否支持预定餐DTO")
public class ModifyStallIfReserveDTO {
   @ApiModelProperty("食堂id")
   private @NotNull(
   message = "食堂id 不能为空"
) Long canteenId;
   @ApiModelProperty("档口id")
   private @NotNull(
   message = "档口id 不能为空"
) Long stallId;
   @ApiModelProperty("是否支持预定餐")
   private @NotNull(
   message = "是否支持预定餐 不能为空"
) Integer ifReserve;

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public Integer getIfReserve() {
      return this.ifReserve;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setIfReserve(final Integer ifReserve) {
      this.ifReserve = ifReserve;
   }

}
